import{s as U,n as D,o as F}from"../chunks/scheduler.f7e1785c.js";import{S as J,i as O,g as o,s as d,r as R,A as z,h as l,f as e,c as v,j as M,u as B,x,k as _,y as C,a,v as G,d as K,t as Q,w as V}from"../chunks/index.9f8f0838.js";import{I as W}from"../chunks/IconCopyLink.f5a71973.js";function X(S){let s,w,r,i,g,c,H,f,A="Раздел 2. Краткое введение в аудиоприложения",y,m,E=`Добро пожаловать во второй раздел аудиокурса от Hugging Face! Ранее мы рассмотрели основы аудиоданных
и научились работать с наборами аудиоданных с помощью библиотек 🤗 Datasets и 🤗 Transformers. Мы обсудили различные
понятия, такие как частота дискретизации, амплитуда, битовая глубина, форма волны и спектрограммы, а также рассмотрели
способы предварительной обработки данных для подготовки их к использованию в предварительно обученной модели.`,P,p,N=`К этому моменту вы, возможно, уже хотите узнать о том, с какими аудиозадачами могут справиться 🤗 Transformers, и
у вас есть все необходимые базовые знания, необходимые для дальнейшего погружения! Давайте рассмотрим некоторые из
примеров умопомрачительных аудиозадач:`,T,h,b=`<li><strong>Аудио классификация</strong>: простая классификация аудиоклипов по различным категориям. Вы можете определить, лает ли
на записи собака или мяукает кошка, или к какому музыкальному жанру относится та или иная композиция.</li> <li><strong>Автоматическое распознавание речи</strong>: преобразование аудиоклипов в текст путем их автоматической транскрибации.
Вы можете получить текстовое представление записи разговора, например, “Как дела?“. Очень полезно для ведения заметок!</li> <li><strong>Диаризация диктора</strong>: Вы когда-нибудь задумывались, кто говорит в записи? С помощью 🤗 Transformers вы сможете определить,
кто из дикторов говорит в тот или иной момент времени в аудиоклипе. Представьте себе, что вы можете различить Алису и Боба
в записи их разговора.</li> <li><strong>Перевод текста в речь</strong>: создать дикторскую версию текста, которая может быть использована для создания аудиокниги,
помочь в обеспечении доступности (для людей с ограниченными возможностями) или дать голос NPC в игре. С 🤗 Transformers
вы легко сможете это сделать!</li>`,$,u,j=`В этом разделе вы узнаете, как использовать предварительно обученные модели для решения некоторых из этих задач с помощью
функции <code>pipeline()</code> из 🤗 Transformers. В частности, мы увидим, как предварительно обученные модели могут быть использованы
для классификации звука и автоматического распознавания речи.
Давайте начнем!`,k;return c=new W({}),{c(){s=o("meta"),w=d(),r=o("h1"),i=o("a"),g=o("span"),R(c.$$.fragment),H=d(),f=o("span"),f.textContent=A,y=d(),m=o("p"),m.textContent=E,P=d(),p=o("p"),p.textContent=N,T=d(),h=o("ul"),h.innerHTML=b,$=d(),u=o("p"),u.innerHTML=j,this.h()},l(t){const n=z("svelte-1phssyn",document.head);s=l(n,"META",{name:!0,content:!0}),n.forEach(e),w=v(t),r=l(t,"H1",{class:!0});var L=M(r);i=l(L,"A",{id:!0,class:!0,href:!0});var q=M(i);g=l(q,"SPAN",{});var I=M(g);B(c.$$.fragment,I),I.forEach(e),q.forEach(e),H=v(L),f=l(L,"SPAN",{"data-svelte-h":!0}),x(f)!=="svelte-4k0kjd"&&(f.textContent=A),L.forEach(e),y=v(t),m=l(t,"P",{"data-svelte-h":!0}),x(m)!=="svelte-5fphe2"&&(m.textContent=E),P=v(t),p=l(t,"P",{"data-svelte-h":!0}),x(p)!=="svelte-14dqq79"&&(p.textContent=N),T=v(t),h=l(t,"UL",{"data-svelte-h":!0}),x(h)!=="svelte-1vb2jdc"&&(h.innerHTML=b),$=v(t),u=l(t,"P",{"data-svelte-h":!0}),x(u)!=="svelte-1f2uwmt"&&(u.innerHTML=j),this.h()},h(){_(s,"name","hf:doc:metadata"),_(s,"content",JSON.stringify(Y)),_(i,"id","2"),_(i,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(i,"href","#2"),_(r,"class","relative group")},m(t,n){C(document.head,s),a(t,w,n),a(t,r,n),C(r,i),C(i,g),G(c,g,null),C(r,H),C(r,f),a(t,y,n),a(t,m,n),a(t,P,n),a(t,p,n),a(t,T,n),a(t,h,n),a(t,$,n),a(t,u,n),k=!0},p:D,i(t){k||(K(c.$$.fragment,t),k=!0)},o(t){Q(c.$$.fragment,t),k=!1},d(t){t&&(e(w),e(r),e(y),e(m),e(P),e(p),e(T),e(h),e($),e(u)),e(s),V(c)}}}const Y={local:"2",title:"Раздел 2. Краткое введение в аудиоприложения"};function Z(S){return F(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class at extends J{constructor(s){super(),O(this,s,Z,X,U,{})}}export{at as component};
